SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL';

CREATE DATABASE CycleDb;
USE CycleDb;

CREATE TABLE TableC (
  CType    VARCHAR(10)    NOT NULL,
  AType    VARCHAR(10)    NULL,

  PRIMARY KEY (CType),

  INDEX FK_CrefA (AType ASC),

  CONSTRAINT FK_CrefA
    FOREIGN KEY (AType)
    REFERENCES TableA (AType)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION
);

CREATE TABLE TableB (
  BType    VARCHAR(10)    NOT NULL,
  CType    VARCHAR(10)    NULL,

  PRIMARY KEY (BType),

  INDEX FK_BrefC (CType ASC),

  CONSTRAINT FK_BrefC
    FOREIGN KEY (CType)
    REFERENCES TableC (CType)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION
);

CREATE TABLE TableA (
  AType    VARCHAR(10)    NOT NULL,
  BType    VARCHAR(10)    NULL,

  PRIMARY KEY (AType),

  INDEX FK_ArefB (BType ASC),

  CONSTRAINT FK_ArefB
    FOREIGN KEY (BType)
    REFERENCES TableB (BType)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION
);

INSERT INTO TableA VALUES("A value", "B value");
INSERT INTO TableB VALUES("B value", "C value");
INSERT INTO TableC VALUES("C value", "A value");

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;

SELECT * FROM TableA;
SELECT * FROM TableB;
SELECT * FROM TableC;

DROP DATABASE CycleDb;
